<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('pages');

require_once('../functions_url.inc.php');

if (isset($_POST['button'])) {
	$path = get_filename_from_url($_POST['file']);
	if ($path === false) {
		die('Error: The page couldn\'t be found in the URL index.');
	}
	$path = '../data/pages'.$path;

	$_content = file_get_contents($path);
	$_content = explode("\n".'EOC'."\n", $_content, 2);
	$content = $_content[0];
	$attributes = $_content[1];
	unset($_content);
	$attributes = explode("\\\\\n", $attributes);

	$attr_type = $_POST['type'];
	$attr = $attr_type.'//';

	if (isset($_POST['subtype'])) {
		$attr_subtype = $_POST['subtype'];
		$attr .= $attr_subtype.'//';
	}

	$attributes[] = $attr;

	$pagedata = $content."\n".'EOC'."\n".implode("\\\\\n", $attributes);

	file_put_contents($path, $pagedata);

	header('Location: attributes.php?file='.$_POST['file'].'&'.SID.csrf_protection_get());
}
?>
