<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('stats');
?>
<?php

// create ip hash
$ip = md5($_SERVER['REMOTE_ADDR'].$_SERVER['HTTP_USER_AGENT']).'/'.time();

// load and check ip list
$ip_file = './data/stats/ip.list';
if (file_exists($ip_file)) { $ip_list = file($ip_file); } else { $ip_list = array(); }
$ip_found = false;
$ip_changed = false;
$ip_maxage = time() - 86400;

// could this break the php memory limit with a very large ip list?
foreach($ip_list as $ip_count => $ip_line) {
	$ip_line = trim($ip_line);
	$ip_line = explode('/', $ip_line);
	if ($ip_line[0] < $ip_maxage) {
		unset($ip_list[$ip_count]);
		$ip_changed = true;
	} elseif ($ip_line[1] == $ip) {
		$ip_found = true;
		break;
	}
}
if ($ip_changed == true) {
	$ip_list = implode("\n", $ip_list);
	file_put_contents($ip_file, $ip_list);
}

header('Location:stats.php?action=addip&'.SID.csrf_protection_get());
?>
