<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('firstrun');
include('locale.inc.php');
$locale = new LocalizingClass('firstrun');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_step1') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('title_step1') ?></h1>
<h2><?php locale('title_fileperms') ?></h2>
<p>
	<?php locale('desc_fileperms') ?>
</p>
<p>
	<?php
	include('fileperms.inc.php');
	startFilePerms();
	$result = displayPermissions('../data');
	endFilePerms();
	?>
</p>
<?php if ( $result[0] == $result[1] ) { ?>
<p>
	<a href="firstrun2.php?<?php echo SID; csrf_protection_get_html() ?>"><?php locale('link_next') ?></a>
</p>
<?php } else { ?>
<p>
	<?php printf(locale('desc_correct-fileperms',true), $result[1]-$result[0], $result[1]) ?>
</p>
<?php } ?>

</body>
</html>
