<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('firstrun');
include('locale.inc.php');
$locale = new LocalizingClass('firstrun');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_step2') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('title_step2') ?></h1>
<h2><?php locale('title_unzip') ?></h2>
<p>
	<?php locale('desc_unzip') ?>
</p>
<?php
include('./pclzip-2-6/pclzip.lib.php');
$zip = new PclZip('./data.zip');
$result = $zip->extract(PCLZIP_OPT_PATH, '../data');
if ($result == 0) {
	echo '<p>Fehler: '.$archive->errorInfo().'</p>';
} else {
	echo '<p style="font-size: 0.8em">';
	for ($i=0; $i<sizeof($result); $i++) {
		printf(locale('desc_unzipping',true) , $result[$i]['stored_filename'], $result[$i]['filename'], $result[$i]['status']);
		echo '<br />';
	}
	echo '</p>';
	echo '<p>'.locale('desc_unzipped',true).'</p>';
}
?>
<p>
	<a href="firstrun3.php?<?php echo SID; csrf_protection_get_html() ?>"><?php locale('link_next') ?></a>
</p>

</body>
</html>
