<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('../data/settings/admin.inc.php');
include('checkuser.inc.php');
checkuser('');
include('locale.inc.php');
$locale = new LocalizingClass('frame');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<title>cms -db Administration</title>
		<style type="text/css" media="screen">
		/*<![CDATA[*/
		body {
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			font-size: 10pt;
			margin-top: 24px;
			margin-left: 0px;
			margin-right: 0px;
			margin-bottom: 0px;
			color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>);
			background: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
		}
		#bar {
			background: url("top.png") top left repeat-x #eee;
			background-repeat: repeat-x;
			position: fixed;
			top: 0px;
			left: 0px;
			right: 0px;
			padding-top: 0px;
			padding-left: 5px;
			padding-right: 5px;
			padding-bottom: 0px;
			height: 24px;
		}
		.barinactive {
			background-color: transparent;
			color: #000000;
			font-size: 10pt;
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			text-decoration: none;
			height: 24px;
			width: 50px;
			text-align: center;
			line-height: 24px;
		}
		.baractive {
			background: url("bg_menu.png") no-repeat;
			color: #000000;
			font-size: 10pt;
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			text-decoration: none;
			height: 24px;
			width: 50px;
			text-align: center;
			line-height: 24px;
		}
		#menu {
			background-color: #fff;
			color: #000;
			font-size: 10pt;
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			text-decoration: none;
			width: 250px;
			position: fixed;
			top: 23px;
			left: 5px;
			border: 1px solid #999;
			opacity: .9;
		}
		.menu-tabbutton {
			border: none;
			margin: 4px 0 4px 0;
			vertical-align: middle;
			background: url("newtab.png") 0 0;
		}
		.menu-tabbutton:hover {
			background-position: 0 16px;
		}
		.menuinactive {
			display: block;
			background-color: transparent;
			color: #000000;
			font-size: 10pt;
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			text-decoration: none;
			padding-left: 5px;
			padding-right: 5px;
			height: 24px;
		}
		.menuactive {
			display: block;
			background-color: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
			background-image: url("bg_menuitem.png");
			background-repeat: no-repeat;
			color: #000000;
			font-size: 10pt;
			font-family: "Century Gothic","URW Gothic L",Arial,Helvetica,sans-serif;
			text-decoration: none;
			padding-left: 5px;
			padding-right: 5px;
			height: 24px;
		}
		#desktop {
			padding: 10px;
			position: fixed;
			top: 46px;
		}
		.button {
			text-decoration:none;
			background-color: transparent;
		}
		.button>img {
			vertical-align: top;
		}
		.buttoninactive {
			padding: 4px;
			width: 16px;
			height: 16px;
			background-color: transparent;
		}
		.buttonactive {
			padding: 4px;
			width: 16px;
			height: 16px;
			background-image: url("bg_button.png");
			background-repeat: no-repeat;
		}
		#time {
			color: #000000;
			line-height: 24px;
		}
		#date {
			position: fixed;
			top: 23px;
			right: 4px;
			border: 1px solid #999999;
			color: #000000;
			background-color: #ffff99;
			padding-top: 0px;
			padding-left: 2px;
			padding-right: 2px;
			padding-bottom: 0px;
			opacity: .9;
		}
		iframe {
			position: fixed;
			top: 46px;
			left: 0px;
			background: #fff;
			border: none;
		}
		#tabs {
			position: fixed;
			top: 24px;
			left: 0px;
			right: 0px;
			/*height: 20px;*/
			padding: 0 0 1px 0;
			background: url("top.png") bottom left repeat-x #eee;
		}
		.tab {
			font-family: "Bitstream Vera Sans", Arial, Helvetica, sans-serif;
		}
		#iconcontainer {
			z-index: 100;
		}
		#throbber {
			display: none;
		}
		#bg-throbber {
			position: fixed;
			top: 0;
			left: 0;
			right: 0;
			bottom: 0;
			background: #fff;
		}
		#horizon-throbber {
			position: fixed;
			top: 50%;
			left: 0;
			width: 100%;
			height: 1px;
			overflow: visible;
			visibility: visible;
			display: block;
			text-align: justify;
		}
		#box-throbber {
			width: 128px;
			height: 128px;
			margin: -64px auto 0 auto;
		}
		#text-throbber {
			position: fixed;
			bottom: 0;
			right: 0;
			left: 0;
			font-size: 100pt;
			color: #eee;
			font-weight: normal;
			text-align: left;
			font-family: "Bitstream Vera Sans", Arial, Helvetica, sans-serif;
		}
		#updatebutton {
			display: none;
		}
		/*]]>*/
		</style>
		<script type="text/javascript">
		/*<![CDATA[*/
		<?php
		$update_auto = (extension_loaded('ftp') && extension_loaded('zlib')); // && (@include 'Archive/Tar.php') == true
		?>
		var label_close_localized = '<?php locale_escape('link_close', "'") ?>';
		var update_method = '<?php echo ($update_auto) ? 'auto' : 'manual'; ?>';  // checks if php needed php modules are installed
		var update_policy = 'unstable'; // will be changed when a stable version exists
		var current_version = '<?php echo trim(file_get_contents('./update/version.txt')) ?>';
		var locale = '<?php echo $_SESSION['CMS-Locale'] ?>';
		var php_session_id = '<?php echo SID.csrf_protection_get(); ?>';
		var date_day1 = '<?php locale_escape('date_day1', "'") ?>';
		var date_day2 = '<?php locale_escape('date_day2', "'") ?>';
		var date_day3 = '<?php locale_escape('date_day3', "'") ?>';
		var date_day4 = '<?php locale_escape('date_day4', "'") ?>';
		var date_day5 = '<?php locale_escape('date_day5', "'") ?>';
		var date_day6 = '<?php locale_escape('date_day6', "'") ?>';
		var date_day7 = '<?php locale_escape('date_day7', "'") ?>';
		var date_month1 = '<?php locale_escape('date_month1', "'") ?>';
		var date_month2 = '<?php locale_escape('date_month2', "'") ?>';
		var date_month3 = '<?php locale_escape('date_month3', "'") ?>';
		var date_month4 = '<?php locale_escape('date_month4', "'") ?>';
		var date_month5 = '<?php locale_escape('date_month5', "'") ?>';
		var date_month6 = '<?php locale_escape('date_month6', "'") ?>';
		var date_month7 = '<?php locale_escape('date_month7', "'") ?>';
		var date_month8 = '<?php locale_escape('date_month8', "'") ?>';
		var date_month9 = '<?php locale_escape('date_month9', "'") ?>';
		var date_month10 = '<?php locale_escape('date_month10', "'") ?>';
		var date_month11 = '<?php locale_escape('date_month11', "'") ?>';
		var date_month12 = '<?php locale_escape('date_month12', "'") ?>';
		var date_dateformat = '<?php locale_escape('date_dateformat', "'") ?>';
		var date_timeformat = '<?php locale_escape('date_timeformat', "'") ?>';
		/*]]>*/
		</script>
		<link rel="stylesheet" type="text/css" href="tabs.css" />
		<link rel="stylesheet" type="text/css" href="icons.css" />
		<link rel="stylesheet" type="text/css" href="warning.css" />
		<script src="jquery.js" type="text/javascript"></script>
		<script src="main.js" type="text/javascript"></script>
		<script src="tabs.js" type="text/javascript"></script>
		<script src="icons.js" type="text/javascript"></script>
		<script src="warning.js" type="text/javascript"></script>
		<?php include('keep-session-alive.inc.php'); // includes ajax (needed for update) ?>
		<script src="update.js" type="text/javascript"></script>
	</head>
	<body onload="init();restoreTabs();window.onresize=resizeIframes">


		<div id="throbber">
			<div id="bg-throbber"></div>
			<div id="text-throbber">cms -db</div>
			<div id="horizon-throbber">
				<div id="box-throbber">
					<img src="throbber.gif" alt="loading..." title="loading..." width="128" height="128" />
				</div>
			</div>
		</div>
		<script type="text/javascript">
		/*<![CDATA[*/
		document.getElementById("throbber").style.display = "block";
		/*]]>*/
		</script>

		<div id="all" style="visibility:hidden">
			<div id="desktop">
				<?php if ($view == 'menu') { ?>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;pages.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('pages.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_pages'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_pages'); ?>" style="text-decoration:none">
					<img src="big-icons/pages.png" alt="<?php locale('desc_pages'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;files.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('files.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_files'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'"  onclick="hidemenu()" title="<?php locale('desc_files'); ?>" style="text-decoration:none">
					<img src="big-icons/files.png" alt="<?php locale('desc_files'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;includes.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('includes.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_includes'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_includes'); ?>" style="text-decoration:none">
					<img src="big-icons/includes.png" alt="<?php locale('desc_includes'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;settings.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('settings.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_settings'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_settings'); ?>" style="text-decoration:none">
					<img src="big-icons/settings.png" alt="<?php locale('desc_settings'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;template.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('template.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_template'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_template'); ?>" style="text-decoration:none">
					<img src="big-icons/template.png" alt="<?php locale('desc_template'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;space.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('space.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_space'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_space'); ?>" style="text-decoration:none">
					<img src="big-icons/space.png" alt="<?php locale('desc_space'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;fileperms.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('fileperms.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_fileperms'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_fileperms'); ?>" style="text-decoration:none">
					<img src="big-icons/fileperms.png" alt="<?php locale('desc_fileperms'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;backup.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('backup.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_backup'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_backup'); ?>" style="text-decoration:none">
					<img src="big-icons/backup.png" alt="<?php locale('desc_backup'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;guestbook.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('guestbook.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_guestbook'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_guestbook'); ?>" style="text-decoration:none">
					<img src="big-icons/guestbook.png" alt="<?php locale('desc_guestbook'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;blog.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('blog.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_blog'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_blog'); ?>" style="text-decoration:none">
					<img src="big-icons/blog.png" alt="<?php locale('desc_blog'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;stats.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('stats.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_stats'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_stats'); ?>" style="text-decoration:none">
					<img src="big-icons/stats.png" alt="<?php locale('desc_stats'); ?>" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='<?php locale('desc_recyclebin'); ?>'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="hidemenu()" title="<?php locale('desc_recyclebin'); ?>" style="text-decoration:none">
					<img src="big-icons/recyclebin.png" alt="<?php locale('desc_recyclebin'); ?>" width="48" height="48" style="border:none" />
				</a>
				<br />
				<span id="buttontext" style="font-weight:bold;font-size:15px">&nbsp;</span>
				<?php } ?>
			</div>
			<div id="iframes">&nbsp;</div>
			<div id="bar">
				<?php if ($view == 'menu') { ?>
				<a href="#" onclick="return false" onmouseover="baractive('bar-menu')" onmouseout="bar('bar-menu')" onmousedown="switchmenu()" id="bar-menu" class="barinactive" style="float:left"><?php locale('button_menu'); ?></a>
				<?php } ?>
				<div style="float:right" id="buttonfloat">
					<?php
					echo '<a href="#" onclick="return updateMessage()" onclick="hidemenu()" class="button" id="updatebutton"><img src="update.png" width="16" height="16" alt="'.locale('button_update',true).'" title="'.locale('button_update',true).'" style="border:none" id="update" onmouseover="buttonactive(this)" onmouseout="buttoninactive()" class="buttoninactive" /></a>';
					echo '<a href="frame.php?'.SID.csrf_protection_get_html_ret().'#open;../index.php" onclick="return newTab(\'../index.php\')" onclick="hidemenu()" class="button"><img src="preview.png" width="16" height="16" alt="'.locale('button_preview',true).'" title="'.locale('button_preview',true).'" style="border:none" id="preview" onmouseover="buttonactive(this)" onmouseout="buttoninactive()" class="buttoninactive" /></a>';
					echo '<a href="frame.php?'.SID.csrf_protection_get_html_ret().'#open;version.php" onclick="return newTab(\'version.php\')" onclick="hidemenu()" class="button"><img src="info.png" width="16" height="16" alt="'.locale('button_about',true).'" title="'.locale('button_about',true).'" style="border:none" id="info" onmouseover="buttonactive(this)" onmouseout="buttoninactive()" class="buttoninactive" /></a>';
					echo '<a href="logout.php?'.SID.csrf_protection_get_html_ret().'" onclick="return showWarning()" class="button"><img src="logout.png" width="16" height="16" alt="'.locale('button_logout',true).'" title="'.locale('button_logout',true).'" style="border:none" id="logout" onmouseover="buttonactive(this)" onmouseout="buttoninactive()" class="buttoninactive" /></a>';
					?>
					<span id="time" onmouseover="setDateVisible()" onmouseout="setDateInvisible()">HH:MM</span>
				</div>
			</div>
			<div id="tabs" ondblclick="newTab('newtab.php?<?php echo SID; csrf_protection_get_html() ?>');window.setTimeout(function () { if (document.selection) document.selection.empty(); else if (window.getSelection) window.getSelection().removeAllRanges(); }, 1)"><a class="tab" href="javascript:hideActiveTab()"><span class="tableft"></span><span><img src="desktop.png" width="16" height="16" alt="<?php locale('button_desktop'); ?>" title="<?php locale('button_desktop'); ?>" style="border:none;margin-top:2px" /></span><span class="tabright"></span></a> </div>
			<span id="date">Day, D. Month YYYY</span>
			<div id="menu" style="display:none">
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;pages.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('pages.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-pages')" onmouseout="menuinactive()" id="menu-pages" class="menuinactive">
					<img onclick="return newTab('pages.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_pages'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;files.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('files.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-files')" onmouseout="menuinactive()" id="menu-files" class="menuinactive">
					<img onclick="return newTab('files.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_files'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;includes.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('includes.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-includes')" onmouseout="menuinactive()" id="menu-includes" class="menuinactive">
					<img onclick="return newTab('includes.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_includes'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;settings.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('settings.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-settings')" onmouseout="menuinactive()" id="menu-settings" class="menuinactive">
					<img onclick="return newTab('settings.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_settings'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;template.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('template.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-template')" onmouseout="menuinactive()" id="menu-template" class="menuinactive">
					<img onclick="return newTab('template.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_template'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;space.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('space.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-space')" onmouseout="menuinactive()" id="menu-space" class="menuinactive">
					<img onclick="return newTab('space.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_space'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;fileperms.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('fileperms.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-perms')" onmouseout="menuinactive()" id="menu-perms" class="menuinactive">
					<img onclick="return newTab('fileperms.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_fileperms'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;backup.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('backup.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-backup')" onmouseout="menuinactive()" id="menu-backup" class="menuinactive">
					<img onclick="return newTab('backup.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_backup'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;guestbook.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('guestbook.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-gbook')" onmouseout="menuinactive()" id="menu-gbook" class="menuinactive">
					<img onclick="return newTab('guestbook.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_guestbook'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;blog.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('blog.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-blog')" onmouseout="menuinactive()" id="menu-blog" class="menuinactive">
					<img onclick="return newTab('blog.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_blog'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;stats.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('stats.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-stats')" onmouseout="menuinactive()" id="menu-stats" class="menuinactive">
					<img onclick="return newTab('stats.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_stats'); ?>
				</a>
				<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="hidemenu(); return openInActiveTab('recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="menuactive('menu-recyclebin')" onmouseout="menuinactive()" id="menu-recyclebin" class="menuinactive">
					<img onclick="return newTab('recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>')" class="menu-tabbutton" src="transparent.png" width="16" height="16" alt="" />
					<?php locale('desc_recyclebin'); ?>
				</a>
			</div>
		</div>
		<div id="javascript" style="padding-left: 10px">
			<?php locale('desc_no-js') ?><br />
			<a href="quirks-mode.php?<?php echo SID; csrf_protection_get_html() ?>" style="color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>)">
				<?php locale('link_no-js') ?>
			</a>
		</div>
		<script type="text/javascript">
		/*<![CDATA[*/
		document.getElementById("javascript").style.display = "none";
		/*]]>*/
		</script>
		
		<?php if ($view == 'icons') { ?>
		<div id="iconcontainer">
			<div id="icons">
				<div id="icons-left"></div>
				<div id="icons-middle">
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;pages.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('pages.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('pages')" onmouseout="makeIconInactive('pages')" title="<?php locale('desc_pages') ?>">
						<img id="pages" src="./big-icons/pages.png" width="32" height="32" alt="<?php locale('desc_pages') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;pages.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('pages.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('pages')" onmouseout="makeTabIconInactive('pages')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;files.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('files.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('files')" onmouseout="makeIconInactive('files')" title="<?php locale('desc_files') ?>">
						<img id="files" src="./big-icons/files.png" width="32" height="32" alt="<?php locale('desc_files') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;files.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('files.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('files')" onmouseout="makeTabIconInactive('files')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;includes.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('includes.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('includes')" onmouseout="makeIconInactive('includes')" title="<?php locale('desc_includes') ?>">
						<img id="includes" src="./big-icons/includes.png" width="32" height="32" alt="<?php locale('desc_includes') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;includes.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('includes.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('includes')" onmouseout="makeTabIconInactive('includes')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;settings.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('settings.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('settings')" onmouseout="makeIconInactive('settings')" title="<?php locale('desc_settings') ?>">
						<img id="settings" src="./big-icons/settings.png" width="32" height="32" alt="<?php locale('desc_settings') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;settings.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('settings.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('settings')" onmouseout="makeTabIconInactive('settings')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;template.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('template.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('template')" onmouseout="makeIconInactive('template')" title="<?php locale('desc_template') ?>">
						<img id="template" src="./big-icons/template.png" width="32" height="32" alt="<?php locale('desc_template') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;template.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('template.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('template')" onmouseout="makeTabIconInactive('template')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;space.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('space.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('space')" onmouseout="makeIconInactive('space')" title="<?php locale('desc_space') ?>">
						<img id="space" src="./big-icons/space.png" width="32" height="32" alt="<?php locale('desc_space') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;space.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('space.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('space')" onmouseout="makeTabIconInactive('space')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;fileperms.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('fileperms.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('fileperms')" onmouseout="makeIconInactive('fileperms')" title="<?php locale('desc_fileperms') ?>">
						<img id="fileperms" src="./big-icons/fileperms.png" width="32" height="32" alt="<?php locale('desc_fileperms') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;fileperms.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('fileperms.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('fileperms')" onmouseout="makeTabIconInactive('fileperms')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;backup.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('backup.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('backup')" onmouseout="makeIconInactive('backup')" title="<?php locale('desc_backup') ?>">
						<img id="backup" src="./big-icons/backup.png" width="32" height="32" alt="<?php locale('desc_backup') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;backup.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('backup.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('backup')" onmouseout="makeTabIconInactive('backup')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;guestbook.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('guestbook.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('guestbook')" onmouseout="makeIconInactive('guestbook')" title="<?php locale('desc_guestbook') ?>">
						<img id="guestbook" src="./big-icons/guestbook.png" width="32" height="32" alt="<?php locale('desc_guestbook') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;guestbook.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('guestbook.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('guestbook')" onmouseout="makeTabIconInactive('guestbook')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;blog.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('blog.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('blog')" onmouseout="makeIconInactive('blog')" title="<?php locale('desc_blog') ?>">
						<img id="blog" src="./big-icons/blog.png" width="32" height="32" alt="<?php locale('desc_blog') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;blog.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('blog.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('blog')" onmouseout="makeTabIconInactive('blog')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;stats.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('stats.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('stats')" onmouseout="makeIconInactive('stats')" title="<?php locale('desc_stats') ?>">
						<img id="stats" src="./big-icons/stats.png" width="32" height="32" alt="<?php locale('desc_stats') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;stats.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('stats.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('stats')" onmouseout="makeTabIconInactive('stats')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return openInActiveTab('recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeIconActive('recyclebin')" onmouseout="makeIconInactive('recyclebin')" title="<?php locale('desc_recyclebin') ?>">
						<img id="recyclebin" src="./big-icons/recyclebin.png" width="32" height="32" alt="<?php locale('desc_recyclebin') ?>" />
					</a>
					<a href="frame.php?<?php echo SID; csrf_protection_get_html() ?>#open;recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>" onclick="return newTab('recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>')" onmouseover="makeTabIconActive('recyclebin')" onmouseout="makeTabIconInactive('recyclebin')" id="icons-tabbutton"><img src="transparent.png" width="16" height="16" alt="" /></a>

					<img src="transparent.png" width="1" height="50" alt="" />
				</div>
				<div id="icons-right"></div>
			</div>
		</div>
		<?php } ?>

		<div id="update-window">
			<div id="bg-update">&nbsp;</div>
			<div id="horizon-update">
				<div id="box-update">
					<img src="update-big.png" width="128" height="128" alt="" style="float: left" />
					<p>
						<?php echo ($update_auto) ? sprintf(locale_escape('desc_update-available-auto', "'", true), '<span id="update-version">0.0.0</span>') : sprintf(locale_escape('desc_update-available', "'", true), '<span id="update-version">0.0.0</span>'); ?>
					</p>
					<div style="text-align: center">
						<form action="http://cms-db.de/download/" method="post" id="update-download" onsubmit="hideUpdate();" style="display: inline">
							<input type="submit" value="<?php echo strtoupper(locale('button_download',true)) ?>" />
						</form>
						<form action="http://cms-db.de/download/" method="post" id="update-info" onsubmit="return updateInfo();" style="display: inline">
							<input type="submit" value="<?php echo strtoupper(locale('button_more-info',true)) ?>" />
						</form>
						<form action="404" method="post" onsubmit="return hideUpdate();" style="display: inline">
							<input type="submit" value="<?php echo strtoupper(locale('button_cancel',true)) ?>" />
						</form>
					</div>
				</div>
			</div>
		</div>

		<div id="warning">
			<div id="bg-warning">&nbsp;</div>
			<div id="horizon-warning">
				<div id="box-warning">
					<img src="important.png" width="128" height="128" alt="" style="float: left" />
					<p>
						<?php locale('admin_logout') ?>
					</p>
					<div style="text-align: center">
						<form action="logout.php?<?php echo SID; csrf_protection_get_html() ?>" method="post" style="display: inline">
							<input type="submit" value="<?php echo strtoupper(locale('button_yes',true)) ?>" />
						</form>
						<form action="404" method="post" onsubmit="return hideWarning();" style="display: inline">
							<input type="submit" value="<?php echo strtoupper(locale('button_no',true)) ?>" />
						</form>
					</div>
				</div>
			</div>
		</div>
		
		<!-- In hope that IE 9 will work completely -->
		<!--[if gt IE 6 & lt IE 9]>
		<div style="display: none; position: absolute; top: 50px; right: 5px; max-width: 300px; background: url(hint.png) 5px 5px no-repeat #ffc; border: 1px outset #ffc; color: #000; padding: 5px 5px 5px 32px;" id="iebubble">
			<?php locale('desc_ie-friendly') ?>
		</div>
		<script type="text/javascript">
		$(function() {
			window.setTimeout(function() {
				$("#iebubble").fadeIn("slow");
				window.setTimeout(function() {
					$("#iebubble").fadeOut("slow");
				}, 10000);
			}, 2000);
		});
		</script>
		<![endif]-->

		<!-- Doesn't work at all in IE 6 or lower -->
		<!--[if lte IE 6]>
		<div style="padding-left: 10px; display: none" id="ie">
			<script type="text/javascript">
			if (document.getElementById("iconcontainer")) {
				document.getElementById("iconcontainer").style.display = "none";
			}
			document.getElementById("all").style.display = "none";
			document.getElementById("ie").style.display = "block";
			function view() {
				if (document.getElementById("iconcontainer")) {
					document.getElementById("iconcontainer").style.display = "block";
				}
				document.getElementById("all").style.display = "block";
				document.getElementById("ie").style.display = "none";
			}
			</script>
			<?php locale('desc_ie') ?><br />
			&nbsp;-&nbsp;<a href="http://www.mozilla-europe.org/de/products/firefox/" style="color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>)">
				<?php locale('link_better-browser') ?>
			</a><br />
			&nbsp;-&nbsp;<a href="http://www.windowsupdate.com/" style="color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>)">
				<?php locale('link_newer-ie') ?>
			</a><br />
			&nbsp;-&nbsp;<a href="quirks-mode.php<?php echo SID; csrf_protection_get_html() ?>" style="color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>)">
				<?php locale('link_quirksmode') ?>
			</a><br />
			&nbsp;-&nbsp;<a href="javascript:view();" style="color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>)">
				<?php locale('link_fullversion') ?>
			</a>
		</div>
		<![endif]-->

	</body>
</html>
