<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('files');
include('locale.inc.php');
$locale = new LocalizingClass('files');

if(isset($_POST['submit']) && strpos($_POST['path'], '..') === false) {
	$name = $_POST['name'];
	if (!preg_match('/[^a-z0-9._-]/i', $name)) {
		$newpath = '../data/files'.$_POST['path'].$name;
		if (!file_exists($newpath)) {
			if (!mkdir($newpath)) {
				include('error.inc.php');
				throw_error(locale('desc_create-error',true), 'files.php?path='.$_POST['path'].'&'.SID.'#newfolder');
			}
			header('Location:files.php?path='.$_POST['path'].'&'.SID.csrf_protection_get());
		} else {
			include('error.inc.php');
			throw_error(locale('desc_error-filename',true), 'files.php?path='.$_POST['path'].'&'.SID.'#newfolder');
		}
	} else {
		include('error.inc.php');
		throw_error(locale('desc_rename-error-specialchars',true), 'files.php?path='.$_POST['path'].'&'.SID.'#newfolder');
	}
}
?>
