<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('pages');
include('locale.inc.php');
$locale = new LocalizingClass('recyclebin');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_restore-page') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
</head>
<body>

<h1><?php locale('title_restore-page') ?></h1>
<p>
	<?php locale('desc_restore-page') ?>
</p>
<?php
include('../functions_url.inc.php');

function createRestorePageOverview($ordner) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
    echo '<ul class="linklist">';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li><a href="restorepage2.php?page='.$_GET["page"].'&sec='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.csrf_protection_get_html_ret().'">'.$show.'</a>';
      createRestorePageOverview($dir);
      echo '</li>';
    }
    echo '</ul>';
  }
  closedir($handle);
}
echo '<ul class="linklist"><li><a href="restorepage2.php?page='.$_GET['page'].'&sec=roots&'.SID.csrf_protection_get_html_ret().'">root</a>';
createRestorePageOverview('../data/pages');
echo '</li></ul>'
?>

</body>
</html>
