<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('');
?>
<?php

include('../data/settings/url.inc.php');

function listFiles($folder = '', $indent = '') {
	global $urlabsolute;
	$filelist = array();
	$handle = opendir('../data/files/'.$folder);
	while (false !== ($file = readdir($handle))) {
		if($file != '.' && $file != '..' && $file != '.htaccess') {
			$filelist[] = $file;
		}
	}
	closedir($handle);
	$files = '';
	if (count($filelist) > 0) {
		natcasesort($filelist);
		foreach ($filelist as $file) {
			if (is_dir('../data/files/'.$folder.$file)) {
				$files .= '<option value="NONE  ">'.$indent.$file.'/';
			} else {
				$files .= '<option value="NONE /'.$folder.$file.' '.$urlabsolute.'/data/files/'.$folder.$file.'">'.$indent.$file;
			}
			$files .= '</option>';
			if (is_dir('../data/files/'.$folder.$file)) {
				$files .= listFiles($folder.$file.'/', $indent.'&nbsp;&nbsp;&nbsp;&nbsp;');
			}
		}
	}
	return $files;
}

echo listFiles();

?>
