<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

?>
<?php require_once('mobile.inc.php'); if (supportscontenteditable()) { ?>
	<style type="text/css">
	<!--
	/* styles for inactive buttons */
	.button_inactive {
		cursor: default !important;
		background-color: transparent !important;
	}
	/* style for an external link */
	.external {
		background-color: #bdf;
	}
	.id {
		background-color: #fc8;
	}
	.external-disabled {
		background-color: #ddd;
		color: #888 !important;
	}
	.external-disabled:hover {
		background-color: #aaa !important;
		color: #000 !important;
	}
	.wym_box {
		border: 1px solid #aaa !important;
		background: #eee !important;
		border-radius: .5em;
		-moz-border-radius: .5em;
		-webkit-border-radius: .5em;
		/* shadow causes slowness in ff */
		/*box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;
		-moz-box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;
		-webkit-box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;*/
	}
	.wym_iframe iframe {
		border: 1px solid #aaa;
	}
	.wym_tools ul li a {
		border: 1px solid #eee;
	}
	.wym_tools ul li a:hover, .wym_tools ul li a:active {
		background-color: #f4f4f4 !important;
		border: 1px solid #aaa;
		border-radius: .5em;
		-moz-border-radius: .5em;
		-webkit-border-radius: .5em;
		cursor: pointer;
		box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;
		-moz-box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;
		-webkit-box-shadow: inset 0 0 .5em #fff, 0 0 .2em #bbb;
	}
	.wym_tools ul li a:active {
		background-color: #ddd !important;
		box-shadow: inset 0 0 .5em #aaa, 0 0 .2em #bbb;
		-moz-box-shadow: inset 0 0 .5em #aaa, 0 0 .2em #bbb;
		-webkit-box-shadow: inset 0 0 .5em #aaa, 0 0 .2em #bbb;
	}
	-->
	</style>
	<script type="text/javascript" src="jquery.js"></script>
	<script type="text/javascript" src="./wymeditor/jquery.wymeditor.pack.js"></script>
	<script type="text/javascript" src="./wymeditor/plugins/hovertools/jquery.wymeditor.hovertools.js"></script>
	<script type="text/javascript" src="./wymeditor/plugins/fullscreen_cms-db/jquery.wymeditor.fullscreen.js"></script>
	<script type="text/javascript" src="./wymeditor/plugins/embed/jquery.wymeditor.embed.js"></script>
	<script type="text/javascript" src="ajax.js"></script>
	<script type="text/javascript">
	<!--
	jQuery(function() {
		function toggleIndent(event, wym) {
			if (!wym) {
				var wym = event.data.wym;
			}
			var container = wym.container();
			if(container && container.tagName.toLowerCase() == WYMeditor.LI) {
				jQuery(wym._options.toolsSelector).find('.wym_tools_indent').stop().fadeTo(250, 1.0).find('a').removeClass('button_inactive');
				jQuery(wym._options.toolsSelector).find('.wym_tools_outdent').stop().fadeTo(250, 1.0).find('a').removeClass('button_inactive');
			} else {
				jQuery(wym._options.toolsSelector).find('.wym_tools_indent').stop().fadeTo(250, 0.1).find('a').addClass('button_inactive');
				jQuery(wym._options.toolsSelector).find('.wym_tools_outdent').stop().fadeTo(250, 0.1).find('a').addClass('button_inactive');
			}
		};
		// Commented out: Enabling special attributes for some tags
		// jQuery.extend(WYMeditor.XhtmlValidator._tags['a']['attributes'], {'rel':/^(.*)$/, 'rev':/^(.*)$/});
		// Allow the rel, rev and style attributes for every element
		for (var element in WYMeditor.XhtmlValidator._tags) {
			jQuery.extend(WYMeditor.XhtmlValidator._tags[element]['attributes'], {
				'style': /^(.*)$/,
				'rel': /^(.*)$/,
				'rev': /^(.*)$/
			});
		}
		jQuery('.wymeditor').wymeditor({
			lang: '<?php echo $locale->langcode ?>',
			classesItems: [
				// Aligning images
				{'name': 'l', 'title': 'IMG: <?php locale_escape('wymeditor_align_left', "'") ?>', 'expr': 'img[@class!="r"]'},
				{'name': 'r', 'title': 'IMG: <?php locale_escape('wymeditor_align_right', "'") ?>', 'expr': 'img[@class!="l"]'},
				{'name': 'c', 'title': 'BLOCK: <?php locale_escape('wymeditor_align_clear', "'") ?>', 'expr': 'p,h1,h2,h3,h4,h5,h6,ul'}
				// // Columns
				// {'name': 'col33', 'title': '!!!DIV: Column (33%)!!!', 'expr': 'div'},
				// {'name': 'clear', 'title': '!!!BLOCK: Clear float!!!', 'expr': 'div,p,ul,ol'}
			],
			editorStyles: [
				// Hovertools support
				{'name': 'img', 'css': 'padding: .3em;'},
				// Aligning images
				{'name': 'img.l', 'css': 'float: left;'},
				{'name': 'img.r', 'css': 'float: right;'},
				{'name': '.c', 'css': 'clear: both;'},
				// External links (new window)
				{'name': 'a[rel=external]', 'css': 'background-color: #bdf;'},
				// Anchors (separated because of IE bug)
				{'name': 'h1[id]', 'css': 'border-left: 10px solid #fc8;' },
				{'name': 'h2[id]', 'css': 'border-left: 10px solid #fc8;' },
				{'name': 'h3[id]', 'css': 'border-left: 10px solid #fc8;' },
				{'name': 'h4[id]', 'css': 'border-left: 10px solid #fc8;' },
				{'name': 'h5[id]', 'css': 'border-left: 10px solid #fc8;' },
				{'name': 'h6[id]', 'css': 'border-left: 10px solid #fc8;' }
				// // Columns
				// {'name': 'div.col33', 'css': 'float: left; width: 30%; margin: 1%; padding: 0.5%'},
				// {'name': 'div.clear, p.clear, ul.clear, ol.clear', 'css': 'clear: both;'},
				// // divs
				// {'name': 'div', 'css': 'background: #aaa; padding: 5px; margin: 10px;'}
			],
			dialogStyles: [
				{'name': 'img.l', 'css': 'float: left;'},
				{'name': 'img.r', 'css': 'float: right;'},
				{'name': '.c', 'css': 'clear: both;'}
			],
			postInitDialog: function(wym,wdw) {

				//postInitDialog is executed when the dialog is ready

				//'wym' is the WYMeditor instance
				//'wdw' is the dialog's window

				var body = wdw.document.body;

				// start link selector
				var myval = jQuery(body).filter('.wym_dialog_link').find('form').html();
				if (myval) {

					//construct the string with the needed controls
					var selectLink = "<img class='imgpreview' src='' style='max-width: 128px; max-height: 64px; float: left' />"
					+ "<div class='row row-indent'>"
					+ "<select class='wym_select_link'>"
					+ "<optgroup class='wym_optgroup_pages' label='<?php locale_escape('desc_insert-page', "'") ?>'>"
					+ "<option value='.'>...<\/option>"
					+ "<\/optgroup>"
					+ "<optgroup  class='wym_optgroup_files'label='<?php locale_escape('desc_insert-file', "'") ?>'>"
					+ "<option value='.'>...<\/option>"
					+ "<\/optgroup>"
					+ "<\/select>"
					+ "<select class='wym_select_anchor'>"
					+ "<\/select>"
					+ "<input class='wym_choose_link' type='button'"
					+ " value='{Choose}' />"
					+ "<\/div>";

					//add the controls to the dialog
					jQuery(body)
						.filter('.wym_dialog_link').find('fieldset').eq(0)
						.prepend(wym.replaceStrings(selectLink));

					//populates the anchors field
					function getAnchors(shorturl) {
						var request_anchors = initAjax();
						doGETRequest(request_anchors, function (ret) {
							list = ret.split("\n");
							list.pop();
							jQuery(body)
								.find(".wym_select_anchor")
								.append("<option value=''></option>");
							for (var i = 0; i < list.length; ++i) {
								entry = list[i].split('"');
								jQuery(body)
									.find(".wym_select_anchor")
									.append("<option value='"+entry[0]+"'>"+entry[1]+"</option>");
							}
						}, 'wym_listanchors.php?page='+shorturl+'&<?php echo SID.csrf_protection_get() ?>');
					}

					// load page list
					var request_pages = initAjax();
					doGETRequest(request_pages, function (ret) {
						jQuery(body)
							.find(".wym_optgroup_pages")
							.html(ret);
						// load anchors for first page
						window.setTimeout(function () {
							var myval = jQuery(body).find('.wym_select_link').val();
							var shorturl = myval.substring(0, myval.indexOf(' '));
							getAnchors(shorturl);
						}, 100);
					}, 'wym_listpages.php?<?php echo SID; echo csrf_protection_get() ?>');

					// load file list
					var request_files = initAjax();
					doGETRequest(request_files, function (ret) {
						jQuery(body)
							.find(".wym_optgroup_files")
							.html(ret);
					}, 'wym_listfiles.php?<?php echo SID; echo csrf_protection_get() ?>');

					//bind a function which will populate the anchor field
					jQuery(body)
						.find('.wym_select_link')
						.change(function() { // TODO: use right event
							var myval = jQuery(body).find('.wym_select_link').val();

							jQuery(body)
								.find(".wym_select_anchor")
								.empty();

							var shorturl = myval.substring(0, myval.indexOf(' '));
							//var title = myval.substring(myval.indexOf(' ') + 1, myval.lastIndexOf(' '));
							//var url = myval.substr(myval.lastIndexOf(' ') + 1);

							if (shorturl != "NONE") {
								getAnchors(shorturl);
								jQuery(body)
									.find('.imgpreview')
									.attr('src', 'big-icons/pages.png');
							} else {
								var path = myval.substring(myval.indexOf(' ') + 1, myval.lastIndexOf(' '));
								jQuery(body)
									.find('.imgpreview')
									.attr('src', 'thumbnail.php?file='+path+'&h=64&w=-1&<?php echo SID.csrf_protection_get() ?>');
							}
						});

					//bind a function which will populate the URL and title fields
					//when the user clicks on the wym_choose button
					jQuery(body)
						.find('.wym_choose_link')
						.click(function() {
							var myval = jQuery(body).find('.wym_select_link').val();

							var shorturl = myval.substring(0, myval.indexOf(' '));
							var title = myval.substring(myval.indexOf(' ') + 1, myval.lastIndexOf(' '));
							var url = myval.substr(myval.lastIndexOf(' ') + 1);

							var anchor = jQuery(body).find('.wym_select_anchor').val();
							if (anchor != null && anchor != '') {
								url = url + '#' + anchor;
							}

							// title field is used for path with files
							if (shorturl == 'NONE') {
								var title = '';
							}

							//get the URL and the title
							jQuery(body)
								.find('.wym_href')
								.val(url);
							jQuery(body)
								.find('.wym_title')
								.val(title);
						});

				// end link selector
				} 

				// start image selector
				var myval = jQuery(body).filter('.wym_dialog_image').find('form').html();
				if (myval) {

					var selectFile = "<img class='imgpreview' src='' style='max-width: 128px; max-height: 64px; float: left' />"
					+ "<div class='row row-indent'>"
					+ "<select class='wym_select_file'>"
					+ "<option value='.'>...<\/option>"
					+ "<\/select>"
					+ "<input class='wym_choose_file' type='button'"
					+ " value='{Choose}' />"
					+ "<\/div>";

					// add the controls to the dialog
					jQuery(body)
						.filter('.wym_dialog_image').find('fieldset').eq(0)
						.prepend(wym.replaceStrings(selectFile));

					// load file list
					var request_files = initAjax();
					doGETRequest(request_files, function (ret) {
						jQuery(body)
							.find(".wym_select_file")
							.html(ret);
					}, 'wym_listfiles.php?<?php echo SID; echo csrf_protection_get() ?>');

					// bind a function which will populate the URL and title fields
					// when the user clicks on the wym_choose button
					jQuery(body)
						.find('.wym_choose_file')
						.click(function() {
							var myval = jQuery(body).find('.wym_select_file').val();
							var img = myval.substr(myval.lastIndexOf(' ') + 1);
							//get the URL and the title
							jQuery(body).find('.wym_src').val(img);
						});

					// add space in alt attr if empty (focus event is better,
					// because it gives us some time to change the field)
					jQuery(body)
						.filter('.wym_dialog_image').find('.wym_submit')
						.focus(function() {
							var alt = jQuery(body).find('.wym_alt').val();
							if (alt == '') {
								jQuery(body).find('.wym_alt').val(' ');
							}
						});

					jQuery(body)
						.find('.wym_select_file')
						.change(function() {
							var myval = jQuery(body).find('.wym_select_file').val();
							var path = myval.substring(myval.indexOf(' ') + 1, myval.lastIndexOf(' '));
							jQuery(body)
								.find('.imgpreview')
								.attr('src', 'thumbnail.php?file='+path+'&h=64&w=-1&<?php echo SID.csrf_protection_get() ?>');
						});

				// end image selector
				}
			},
			postInit: function(wym) {
				<?php
				include('../data/settings/common.inc.php');
				if ($newwindows == 'on') {
					echo 'var external = "a rel external";';
				} else {
					echo 'var external = "external-disabled";';
				}
				?>
				jQuery(wym._box).find('div.wym_area_right')
				.append('<div class="wym_attributes wym_section wym_panel"><\/div>')
				.children(':last')
				.append('<h2><?php locale('wymeditor_attributes') ?><\/h2>')
				.append('<ul><\/ul>')
				.children(':last')
				.append('<li><a class="h1,h2,h3,h4,h5,h6 id" title="<?php locale_escape('wymeditor_anchor_title', "'") ?>" href="#">H: <?php locale_escape('wymeditor_anchor', "'") ?><\/a><\/li>')
				.append('<li><a class="'+external+'" title="<?php locale_escape('wymeditor_new_window_title', "'") ?>" href="#">LINK: <?php locale_escape('wymeditor_new_window', "'") ?><\/a><\/li>')
				.find('a')
				//event handlers
				.click( function() {

					//init
					var selected  = wym.selected(),                         //selected container
						classes   = jQuery(this).attr('class').split(' '),  //clicked button classes
						tagName   = classes[0]                              //tag name, e.g. 'a' or 'all'
						attrName  = classes[1]                              //attribute name, e.g. 'property'
						attrValue = classes.length > 2 ? classes[2] : null; //attribute value, if available, e.g. dc_title

					if (tagName != 'external-disabled') {

						// check if the selected element is allowed to have this attribute
						if (tagName == 'all' || jQuery(selected).is(tagName)) {

							//the attribute already exists, remove it
							if( jQuery(selected).attr(attrName) != undefined && jQuery(selected).attr(attrName) != '') {
								WYMeditor.console.log('attribute already exists, remove it:', attrName, jQuery(selected).attr(attrName));
								//if( classes.length == 1 || jQuery(selected).attr(attrName) == attrValue.replace('_', ':') )
									jQuery(selected).removeAttr(attrName);

							//else, add it (and the feedback class)
							} else {
								WYMeditor.console.log('attribute does not exist, add it:', attrName, attrValue);
								if( classes.length > 2 ) { //value available
									jQuery(selected).attr(attrName, attrValue.replace('_', ':'));
								} else { //value not available
									attrValue = prompt('<?php locale_escape('wymeditor_value', "'") ?>', '');
									if(attrValue != null && attrValue != '') jQuery(selected).attr(attrName, attrValue);
								}
							}
						
						} else {
							alert("<?php locale_escape('wymeditor_wrong_element', "'") ?>");
						}
					
					} else {
						// remove the button which wouldn't be working a second time anyway (bug?)
						$('.external-disabled').slideUp();
						$('body').append(
						'<div id="message_external" style="display:none">' +
						'	<div style="position: fixed; top: 0; left: 0; right: 0; bottom: 0; background: url(\'bg-warning.png\')"></div>' +
						'	<div style="position: fixed; top: 50%; left: 0; width: 100%; height: 1px; overflow: visible; visibility: visible; display: block; text-align: justify">' +
						'		<div style="width: 380px; height: 250px; margin: -125px auto 0 auto; background: #eee; border: 1px solid #aaa; padding: 1em; overflow: auto">' +
						'			<p><?php locale_escape('wymeditor_error_external', "'") ?> <a class="why" href="#"><?php locale_escape('wymeditor_error_external_why', "'") ?></a></p>' +
						'			<div id="message_external_more" style="display: none">' +
						'				<p><?php locale_escape('wymeditor_error_external_more1', "'") ?></p>' +
						'				<p><?php locale_escape('wymeditor_error_external_more2', "'") ?></p>' +
						'				<p><?php locale_escape('wymeditor_error_external_more3', "'") ?></p>' +
						// Should there be a link to enable the function?
						'			</div>' +
						'			<p><a class="close" href="#"><?php locale_escape('link_close', "'") ?></p>' +
						'		</div>' +
						'	</div>' +
						'</div>')
						.find('#message_external').fadeIn(500)
						.find('a')
						.click(function () {
							className = jQuery(this).attr('class');
							if (className == 'why') {
								$('#message_external_more').slideDown();
								$(this).remove();
							} else {
								$('#message_external').fadeOut(500, function(){$(this).remove();});
							}
						});
					}
				});

				//render the containers box as a panel
				//and remove the span containing the '>'
				jQuery(wym._box).find(wym._options.containersSelector)
					.removeClass('wym_dropdown')
					.addClass('wym_panel')
					.find('h2 > span')
					.remove();
				// Enable hovertools
				wym.hovertools();
				// Enable fullscreen
				wym.fullscreen();
				//adjust the editor's height
				jQuery(wym._box).find(wym._options.iframeSelector)
					.css('height', '300px');
				//disable the indent/outdent buttons when not applicable
				jQuery(wym._doc).bind("keyup", {wym: wym}, toggleIndent);
				jQuery(wym._doc).bind("click", {wym: wym}, toggleIndent);
				jQuery(wym._options.toolSelector).bind("click", {wym: wym}, toggleIndent);
				toggleIndent('',wym);
			}
		});
	});
	//-->
	</script>
	<script type="text/javascript">
	<!--
	// Get content from WYMeditor
	function getTextareaContent(selector) {
		var wym = jQuery.wymeditors(0);
		wym.update();
		var content = $(selector).val();
		return content;
	}
	//-->
	</script>
<?php } else { ?>
	<script type="text/javascript">
	<!--
	// Get content from textarea
	function getTextareaContent(selector) {
		var content = $(selector).val();
		return content;
	}
	//-->
	</script>
	<script type="text/javascript" src="ajax.js"></script>
	<script type="text/javascript" src="jquery.js"></script>
	<script type="text/javascript" src="jquery.textarea.js"></script>
	<script type="text/javascript"><!-- $(function () { $("textarea").tabby(); }); //--></script>
<?php } ?>
