<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!--  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
      This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
      This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.
      Additions:
        You are allowed to modify, and use this file (only this file) in the way you want.
        You should remove this comment if you don't want others to use or modify your template. -->
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>%%FULLTITLE%%</title>
		<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
		<style type="text/css">
		/* <![CDATA[ */
		@media all {
			body {
				font-family: "Liberation Sans", "Bitstream Vera Sans", Arial, Helvetica, sans-serif;
				background: #ddd;
				color: #000;
			}
		}
		@media screen {
			body {
				font-size: 10.8pt; /* .9em */
			}
		}
		@media projection {
			body {
				font-size: 14.4pt; /* 1.2em */
			}
		}
		@media tv {
			body {
				font-size: 19.2pt; /* 1.6em */
			}
		}
		@media screen, projection, tv {
			html {
				padding: 0;
				margin: 0;
			}
			body {
				padding: 0 1em 1em 1em;
				margin: 0;
			}
			#container {
				max-width: 60em;
				margin: auto;
				background: #eee;
				border: 1px solid #ccc;
				border-top: none;
				min-width: 440px;
			}
			
			/* ********** Start: Header ********** */
				#header {
					height: 4em;
					background: #cdf;
					border-bottom: 1px solid #e4e4e4;
				}
				#header h1 {
					margin: 0;
					font-size: 2em;
					line-height: 2em;
					margin-left: .5em;
					font-weight: bold;
				}
				#header #search {
					text-align: right;
					margin-top: -4em;
					line-height: 4em;
					padding: 0 1em 0 0;
				}
				.search-input {
					width: 7em;
					background: #eee;
					border: 1px solid #aaa;
					color: #000;
				}
				.search-input:focus {
					background: #fff;
				}
				.search-button {
					width: 4.5em;
					background: #ddd;
					border: 1px solid #aaa;
					color: #000;
					cursor: pointer;
				}
				.search-button:hover {
					background: #e4e4e4;
				}
			/* ********** End: Header ********** */
			
			/* ********** Start: Menu ********** */
				#menu {
					float: left;
					width: 16em;
				}
				#menu li {
					list-style-type: none;
				}
				#menu .menu0 {
					margin: 0;
					padding: 0;
				}
				#menu .active0, #menu .inactive0 {
					display: block;
					padding: .2em .8em;
					text-decoration: none;
					color: #16c;
					border-bottom: 1px solid #eaeaea;
				}
				#menu .active0 {
					background: #eaeaea;
					color: #444;
				}
				#menu .active0:hover, #menu .inactive0:hover {
					background: #16c;
					color: #fff;
				}
				#menu .menu1 {
					font-size: .9em;
				}
				#menu .activeli0 ul, #menu .inactiveli0 ul {
					margin: 0;
					padding: 0 0 0 .8em;
				}
				#menu .activeli1 a, #menu .inactiveli1 a {
					display: block;
					background: #eaeaea;
					padding: .2em .8em;
					text-decoration: none;
					color: #16c;
					border-left: 2px solid #eaeaea;
				}
				#menu .activeli1 .active1,
				#menu .activeli1 .active2,
				#menu .activeli1 .active3,
				#menu .activeli1 .active4,
				#menu .activeli1 .active5,
				#menu .activeli1 .active6,
				#menu .activeli1 .active7,
				#menu .activeli1 .active8,
				#menu .activeli1 .active9 {
					border-color: #aaa;
				}
				#menu .activeli1 a:hover, #menu .inactiveli1 a:hover {
					border-color: #16c;
					background: #def;
				}
			/* ********** End: Menu ********** */
			
			/* ********** Start: Content ********** */
				#content {
					margin-left: 16em;
					background: #fff;
					padding: 1em;
					border-left: 1px solid #e4e4e4;
				}
				#content a:link, #content a:visited, #content a:active {
					color: #16c;
					text-decoration: none;
				}
				#content a:hover {
					text-decoration: underline;
				}
				#content h1, #content h2 {
					color: #f00;
					font-size: 1.5em;
				}
				#content h1:after, #content h2:after {
					font-size: 0.6em;
					font-weight: normal;
					text-decoration: none;
					display: block;
					content: "Warning: You cannot use this heading here. Please see the FAQ in the cms -db documentation for more information.";
				}
				#content #pagetitle:after {
					content: "";
				}
				#content #pagetitle {
					margin-top: 0;
					font-size: 1.6em;
					color: #000;
					border-bottom: 1px solid #ddd;
					font-weight: normal;
				}
				#content h3, #content h4 {
					font-weight: normal;
				}
				#content h5, #content h6  {
					font-weight: bold;
				}
				#content h3 {
					font-size: 1.5em;
					border-bottom: 1px solid #e4e4e4;
				}
				#content h4 {
					font-size: 1.4em;
					border-bottom: 1px solid #e8e8e8;
				}
				#content h5 {
					font-size: 1.2em;
				}
				#content h6 {
					font-size: 1.0em;
				}
			/* ********** End: Content ********** */
			
			/* ********** Start: Footer ********** */
				#footer {
					font-size: .8em;
					text-align: center;
					margin-top: 1em;
				}
				#footer {
					color: #aaa;
				}
				#footer a:link, #footer a:visited, #footer a:active {
					color: #8ab;
					text-decoration: none;
				}
				#footer a:hover {
					text-decoration: underline;
				}
			/* ********** End: Footer ********** */
			
			/* ********** Start: Blog / Guestbook ********** */
				.blogarticle {
					background: #f4f4f4;
					border: 1px solid #ccc;
					padding: .5em;
					margin: .5em 0 .5em 0;
				}
				.blogheader {
					border-bottom: 1px dotted #ccc;
				}
				.blogtitle {
					display: inline;
					font-size: 1.2em;
					font-weight: bold;
					color: #000;
				}
				.blogtitle a {
					color: #000;
					text-decoration: none;
				}
				.blogmeta {
					margin-left: .2em;
					display: inline;
					font-style: italic;
				}
				.blogfooter {
					border-top: 1px dotted #ccc;
				}

				#content .blogpaginationtop,
				#content .blogpaginationbottom {
					text-align: right;
					font-size: .9em;
				}
				#content .blogpaginationtop a, #content .blogpaginationtop span,
				#content .blogpaginationbottom a, #content .blogpaginationbottom span {
					padding: .2em .4em .2em .4em;
					color: #333;
					border: 1px solid #aaa;
				}
				#content .blogpaginationtop span,
				#content .blogpaginationbottom span {
					background: #f8f8f8;
				}
				#content .blogpaginationtop span.inactive,
				#content .blogpaginationbottom span.inactive {
					color: #aaa;
				}
				#content .blogpaginationtop a,
				#content .blogpaginationbottom a {
					background: #eee;
					text-decoration: none;
				}
				#content .blogpaginationtop a:hover,
				#content .blogpaginationbottom a:hover {
					background: #666;
					color: #fff;
				}

				.comment {
					border-top: 2px solid #ccc;
					border-bottom: 2px solid #ccc;
					padding: .5em;
					margin-bottom: -2px;
				}
				.comment + .comment {
					margin-top: 0;
				}
				.comment.odd {
					background: #f8f8f8;
				}
				.comment.even {
					background: #f2f2f2;
				}
				.commentheader {
					border-bottom: 1px dotted #ccc;
					margin-bottom: .5em;
				}
				.commentcount {
					font-weight: bold;
				}
				.commentmeta {
					font-style: italic;
				}
				.commentcontent {
					color: #444;
				}
				p.success {
					border: 1px solid #6eff88;
					padding: 5px 5px 5px 32px;
					min-height: 22px;
					background: #edfff0 url("%%URLABSOLUTE%%/admin/success.png") 5px 5px no-repeat;
				}
				p.error {
					border: 1px solid #ff736e;
					padding: 5px 5px 5px 32px;
					min-height: 22px;
					background: #ffe6e6 url("%%URLABSOLUTE%%/admin/error.png") 5px 5px no-repeat;
				}
			/* ********** End: Blog/Guestbook ********** */
		}
		/* ]]> */
		</style>
		<!--[if IE 7]>
		<style type="text/css">
		/* <![CDATA[ */

		/* ]]> */
		</style>
		<![endif]-->
		<!--[if lt IE 7]>
		<style type="text/css">
		/* <![CDATA[ */

		/* ]]> */
		</style>
		<![endif]-->
	</head>
	<body>

		<div id="container">
			<div id="header">
				<h1>My Website</h1>
				<form action="%%URLABSOLUTE%%/index.php" method="get">
					<div id="search">
						<input type="hidden" name="special" value="search" />
						<input type="text" name="q" value="" size="10" maxlength="99" class="search-input" />
						<input type="submit" value="Search" class="search-button" />
					</div>
				</form>
			</div>
			<div id="body">
				<div id="menu">
					%%FOLDINGMENU%%
				</div>
				<div id="content">
					<h2 id="pagetitle">%%PAGETITLE%%</h2>
					%%PAGECONTENT%%
					<br style="clear:both" />
				</div>
			</div>
		</div>
		<div id="footer">
			<a href="http://cms-db.de/">Powered by cms -db</a> | <a href="http://validator.w3.org/check?uri=referer">Valid XHTML 1.0</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">Valid CSS 2</a>
		</div>

	</body>
</html>
