<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

function csrf_protection_form() {
	return '<input type="hidden" name="csrf_protection_hash" value="'.$_SESSION['CMS-Hash'].'" />';
}

function csrf_protection_get() {
	return '&csrf_protection_hash='.$_SESSION['CMS-Hash'];
}

function csrf_protection_get_html() {
	echo '&amp;csrf_protection_hash='.$_SESSION['CMS-Hash'];
}

function csrf_protection_get_html_ret() {
	return '&amp;csrf_protection_hash='.$_SESSION['CMS-Hash'];
}

function check_csrf_protection() {
	if (!isset($_SESSION['CMS-Hash'])) {
		// happens when updating from an older version
		return true;
	}
	if (
	  !(isset($_GET['csrf_protection_hash'])
	  && $_GET['csrf_protection_hash'] == $_SESSION['CMS-Hash'])
	&&
	  !(isset($_POST['csrf_protection_hash'])
	  && $_POST['csrf_protection_hash'] == $_SESSION['CMS-Hash'])
	) {
		include('friendlyerror.csrfprotection.inc.php');
		die();
	}
	return true;
}

?>
