<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('files');
include('locale.inc.php');
$locale = new LocalizingClass('recyclebin');

if (strpos($_GET['file'], '..') !== false) {
	die();
}

$file = '../data/files'.$_GET['file'];
$newfile = '../data/recyclebin/files/'.basename($_GET['file']);
if (file_exists($newfile)) {
	$timestamp = time();
	$newfile = $newfile.'-'.$timestamp;
}
if (!copy($file, $newfile)) {
	include('error.inc.php');
	throw_error(locale('desc_error-move-file',true), 'files.php?path='.dirname($_GET['file']).'&'.SID.csrf_protection_get());
}
if (!unlink($file)) {
	include('error.inc.php');
	throw_error(locale('desc_error-move-file',true), 'files.php?path='.dirname($_GET['file']).'&'.SID.csrf_protection_get());
}
header('Location:files.php?path='.dirname($_GET['file']).'&special=deletefile&'.SID.csrf_protection_get());
?>
