<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

/*
 * strip slashes (if magic quotes enabled)
 */
function escapeSL($str) {
	if (version_compare(PHP_VERSION, '5.3.0', '<') && get_magic_quotes_gpc())
		$str = stripslashes($str);
	return $str;
}

/*
 * escape string from form for saving in php file (using single quotes)
 */
function escapeForm($str) {
	if (version_compare(PHP_VERSION, '5.3.0', '<') && get_magic_quotes_gpc())
		$str = stripslashes($str);
	$str = str_replace('\'', '\\\'', $str);
	return $str;
}

/*
 * escape string for saving in php file (using single quotes)
 */
function escapeSave($str) {
	$str = str_replace('\'', '\\\'', $str);
	return $str;
}

/*
 * escape string for usage as html attribute (unused in favor of htmlspecialchars)
 */
/*function escapeAttr($str) {
	$str = str_replace('"', '&quot;', $str);
	return $str;
}*/

?>
