<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

function getFilePerms($file) {
	$perms = substr(sprintf('%o', fileperms('..'.$file)), -4);	
         if (is_writeable('..'.$file)) {
         	echo '<tr><td style="border-color: #000000; border-style: solid; border-width: 1px 0px 1px 1px">'.$file.'</td><td style="border-color: #000000; border-style: solid; border-width: 1px 1px 1px 0px; background-color: #00FF00">'.$perms.'</td></tr>';
			return 1;
         } else {
         	echo '<tr><td style="border-color: #000000; border-style: solid; border-width: 1px 0px 1px 1px">'.$file.'</td><td style="border-color: #000000; border-style: solid; border-width: 1px 1px 1px 0px; background-color: #FF0000">'.$perms.'</td></tr>';
			return 0;
         }
}


function startFilePerms () {
	echo '<table style="border: 1px solid #000000; border-collapse: collapse; font-size: 0.8em">';
}
function endFilePerms () {
	echo '</table>';
}

function displayPermissions($ordner, $result = 0, $count = 0) {
  if ( $result == 0 && $count == 0 ) {
    $file = str_replace("..","",$ordner);
    $result = $result + getFilePerms($file);
    $count++;
  }
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if ($file != "." && $file != "..") {
      if (is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      } elseif (is_file($ordner."/".$file)) {
        $files[] = $ordner."/".$file;
      }
    }
  }
  if(isset($dirs)) {
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace("..","",$dir);
      $result = $result + getFilePerms($file);
      $count++;
      $returned = displayPermissions($dir, $result, $count);
      $result = $returned[0];
      $count = $returned[1];
    }
  }
  if(isset($files)) {
    natcasesort($files);
    foreach($files as $file) {
      $file = str_replace("..","",$file);
      $result = $result + getFilePerms($file);
      $count++;
    }
  }  
  closedir($handle);
  return array($result, $count);  
}
?>
