<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

if (file_exists('../data/settings/locale.inc.php')) {
	include('../data/settings/locale.inc.php');
} else {
	// when upgrading from a very old version that was german-only
	$locale_default = 'de';
}
include('../data/settings/url.inc.php');
include('locale.inc.php');

$locale = new LocalizingClass('frontend', $locale_default);

$fe_title = 'cms -db update';
$fe_subtitle = locale('title_upgrade', true);
$fe_content = '	<p>'.locale('desc_upgrade',true).'</p>
				<h3 style="margin-bottom:0">'.locale('title_upgrade-options',true).'</h3>
				<p style="margin-top:0"><a href="'.$urlabsolute.'/admin/">'.locale('link_upgrade-admin',true).'</a></p>';

include('friendlyerror.inc.php');
?>
