<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('ftpsettings');

include('escape.inc.php');
if (isset($_POST['button'])) {
	$writethis = '<?php
	$ftpserver = \''.escapeForm($_POST['ftpserver']).'\';
	$ftpuser = \''.escapeForm($_POST['ftpuser']).'\';
	$ftppw = \''.escapeForm($_POST['ftppw']).'\';
	$ftpdir = \''.escapeForm($_POST['ftpdir']).'\';
	?>';
	file_put_contents('../data/settings/ftp.inc.php', $writethis);
	if (isset($_GET['download'])) {
		header('Location: update/download.php?'.SID.csrf_protection_get());
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<link rel="stylesheet" type="text/css" href="<?php include('mobile.inc.php'); echo mobile() ? 'style-extra-mobile.css' : 'style-extra.css'; ?>" />
	</head>
	<body>

		<h1><?php locale('desc_settings') ?></h1>

		<?php if (!isset($_GET['download'])) { ?>

		<div class="anchormenu"><span class="leftcorner">&nbsp;</span><ul><li><a href="users.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_usersettings') ?></a></li><li><a href="commonsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_commonsettings') ?></a></li><li><a href="url.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_urlsettings') ?></a></li><li><a href="ftpsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab active"><?php locale('link_ftpsettings') ?></a></li><li><a href="adminsettings.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_adminsettings') ?></a></li><li><a href="locale.php?<?php echo SID; csrf_protection_get_html() ?>" class="nonewtab"><?php locale('link_localesettings') ?></a></li></ul><span class="rightcorner">&nbsp;</span></div>

		<?php } ?>

		<?php
		if (isset($_POST['button'])) {
			echo '<p class="hint">'.locale('desc_settings-saved',true).'</p>';
		}
		include('../data/settings/ftp.inc.php');
		?>

		<h2><?php locale('title') ?></h2>
		<p>
			<form action="ftpsettings.php?<?php if (isset($_GET['download'])) echo 'download=true&'; ?><?php echo SID; csrf_protection_get_html() ?>" method="post">
				<?php locale('label_ftpserver') ?> <input type="text" name="ftpserver" value="<?php echo htmlspecialchars($ftpserver) ?>" /> <i><?php locale('desc_ftpserver-protocol') ?></i><br />
				<?php locale('label_ftpuser') ?> <input type="text" name="ftpuser" value="<?php echo htmlspecialchars($ftpuser) ?>" /><br />
				<?php locale('label_ftppw') ?> <input type="password" name="ftppw" /><br />
				<?php locale('label_ftpdir') ?> <input type="text" name="ftpdir" value="<?php echo htmlspecialchars($ftpdir) ?>" /> <i><?php locale('desc_ftpdir-slash') ?></i><br />
				<input type="submit" name="button" value="<?php locale('button_save') ?>">
			</form>
		</p>

	</body>
</html>
