<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

function GetContent($file, $replace=true) {
	if(!file_exists($file)) {
		$content = 'ERROR: The file "'.$file.'" doesn\'t exist.';
		return $content;
	} else {
		$content = file_get_contents($file);
		// remove everything after end of content
		$content = explode("\n".'EOC'."\n", $content);
		$content = $content[0];
		// make "<" + ">" + "&" usable
		if ($replace == true) {
			$content = str_replace(array('&', '<', '>'),
				array('&amp;', '&lt;', '&gt;'), $content);
		}
		return $content;
	}
}
?>
