/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */


icons_normal_hover = new Array();
icons_tab_hover = new Array();

function fadeIconIn(icon, size) {
	if (icons_normal_hover[icon] == true || icons_tab_hover[icon] == true) {
		document.getElementById(icon).width = size;
		document.getElementById(icon).height = size;
		document.getElementById(icon).style.marginLeft = size * (-0.5) + 16 +"px";
		document.getElementById(icon).style.marginRight = size * (-0.5) + 16 +"px";
		if (size < 48) {
			size = size + 2;
			window.setTimeout("fadeIconIn('"+icon+"', "+size+")", 20);
		}
	}
}
function fadeIconOut(icon, size) {
	if ((icons_normal_hover[icon] == false || icons_normal_hover[icon] == undefined) && (icons_tab_hover[icon] == false || icons_tab_hover[icon] == undefined)) {
		document.getElementById(icon).width = size;
		document.getElementById(icon).height = size;
		document.getElementById(icon).style.marginLeft = size * (-0.5) + 16 +"px";
		document.getElementById(icon).style.marginRight = size * (-0.5) + 16 +"px";
		if (size > 32) {
			size = size - 2;
			window.setTimeout("fadeIconOut('"+icon+"', "+size+")", 20);
		}
	}
}
function makeIconActive(icon) {
	size = document.getElementById(icon).width;
	icons_normal_hover[icon] = true;
	window.setTimeout("fadeIconIn('"+icon+"', "+size+")", 10);
}
function makeTabIconActive(icon) {
	size = document.getElementById(icon).width;
	icons_tab_hover[icon] = true;
	window.setTimeout("fadeIconIn('"+icon+"', "+size+")", 10);	
}
function makeIconInactive(icon) {
	size = document.getElementById(icon).width;
	icons_normal_hover[icon] = false;
	window.setTimeout("fadeIconOut('"+icon+"', "+size+")", 10);
}
function makeTabIconInactive(icon) {
	size = document.getElementById(icon).width;
	icons_tab_hover[icon] = false;
	window.setTimeout("fadeIconOut('"+icon+"', "+size+")", 10);
}
