<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

// check php version
include('checkphp.inc.php');

// check if credentials are correct
function check_user_data($username, $password) {
	if ($handle = opendir('../data/users')) {
		while (false !== ($file = readdir($handle))) {
			if($file != '.' && $file != '..') {
				$password_hash = sha1($file.$password);
				include('../data/users/'.$file);
				if ($username == $user && $password_hash == $pass) {
					return $file;
				}
			}
		}
		closedir($handle);
	}
	/*
	 * Allow root to login even if (both have to be true):
	 *  - his password isn't saved as hash
	 *  - there is an update to be done
	 */
	if (file_exists('../data/version.txt')) {
		$version_installed = file_get_contents('../data/version.txt');
		$version_available = file_get_contents('./update/version.txt');
		if ($version_installed != $version_available) {
			include('../data/users/root.php');
			if ($username == $user && strlen($pass) != 40 && $pass == $password) {
				return 'root.php';
			}
		}
	}
	return false;
}
?>
