<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

session_start();

if (isset($_SESSION['CMS-User']) && file_exists('../data/users/'.$_SESSION['CMS-User'])) {
	if ($_SESSION['CMS-User'] != 'root.php') {
		include('../data/users/'.$_SESSION['CMS-User']);
	} else {
		$user_files = 'on';
		$user_pages = 'on';
		$user_includes= 'on';
	}
} else {
	$user_files = '';
	$user_pages= '';
	$user_includes = '';
}

if ($user_files == 'on' ) {
	if ($handle = opendir('../data/recyclebin/files')) {
		while (false !== ($file = readdir($handle))) {
			if($file != "." && $file != "..") {
				unlink('../data/recyclebin/files/'.$file);
			}
		}
		closedir($handle);
	}
}

if ($user_pages == 'on' ) {
	if ($handle = opendir('../data/recyclebin/pages')) {
		while (false !== ($file = readdir($handle))) {
			if($file != "." && $file != "..") {
				unlink('../data/recyclebin/pages/'.$file);
			}
		}
		closedir($handle);
	}
}

if ($user_includes == 'on' ) {
	if ($handle = opendir('../data/recyclebin/includes')) {
		while (false !== ($file = readdir($handle))) {
			if($file != "." && $file != "..") {
				unlink('../data/recyclebin/includes/'.$file);
			}
		}
		closedir($handle);
	}
}

$locale = $_SESSION['CMS-Locale'];

session_unset();

header("Location: index.php?special=logout&locale=".$locale);
?>
