/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

function showmenu() {
	document.getElementById("menu").style.display = "block";
}
function hidemenu() {
	document.getElementById("menu").style.display = "none";
	menuinactive();
	barinactive("bar-menu");
}
function switchmenu() {
	if (document.getElementById("menu").style.display == "none") {
		showmenu();
		baractive("bar-menu");
	} else {
		hidemenu();
	}
}
function menuinactive() {
	$("#menu > a").removeClass("menuactive").addClass("menuinactive");
}
function menuactive(foo) {
	document.getElementById(foo).className = "menuactive";
}
function baractive(foo) {
	document.getElementById(foo).className = "baractive";
}
function barinactive(foo) {
	document.getElementById(foo).className = "barinactive";
}
function bar(foo) {
	if (document.getElementById("menu").style.display == "none") {
		barinactive(foo);
	}
}
function init() {
	$("#all").css("visibility", "visible");
	if (document.getElementById("iconcontainer")) {
		$("#iconcontainer").css("visibility", "visible");
		$("#iconcontainer").css("bottom", "-60px");
		$("#iconcontainer").animate({bottom: "0"}, 1000);
	}
	if (document.getElementById("desktop")) {
		$("#desktop").hide().fadeIn(1000);
	}
	$("#bar").css("top", - 40 - $("#tabs").height() + "px" );
	$("#tabs").css("top", - 16 - $("#tabs").height() + "px" );
	if (jQuery.browser.opera == false) {
		$("#throbber").fadeOut(1000).queue(function(){ $(this).remove() });
	} else {
		$("#throbber").remove();
	}
	$("#bar").animate({top: "0"}, 1000);
	$("#tabs").animate({top: "24"}, 1000);
	if (window.location.hash == "") {
		window.location.hash = "tabs;"
	}
	if (document.getElementById("date") && document.getElementById("time")) {
		setDateInvisible(true);
		time();
	}
	// WYMeditor 0.5b2 doesn't support jQuery 1.3.x
	// TODO: update this since jQuery 1.3+ is now used
	// Insted of live() we are doing this for new tabs in tabs.js
	//$("a").live("click", function() {
	//	$(this).blur();
	//});
	$("a").click(function() {
		$(this).blur();
	});
}
function buttonactive(foo) {
	$(foo).removeClass("buttoninactive").addClass("buttonactive");
}
function buttoninactive() {
	$("#buttonfloat img").removeClass("buttonactive").addClass("buttoninactive");
}
function time () {
	var now = new Date();
	var weekday = now.getDay(); //Wochentag ermitteln
	var dayarray = new Array(date_day1, date_day2, date_day3, date_day4, date_day5, date_day6, date_day7); //Array
	var day = now.getDate(); //Tag ermitteln
	var month = now.getMonth(); //Monat ermitteln
	var montharray = new Array(date_month1, date_month2, date_month3, date_month4, date_month5, date_month6, date_month7, date_month8, date_month9, date_month10, date_month11, date_month12); //Array
	var year = now.getFullYear(); //Jahr ermitteln
	var hour = now.getHours(); //Stunden ermitteln
	var min = now.getMinutes(); //Minuten ermitteln
	if (day < 10) { day = "0"+day; }
	if (min < 10) { min = "0"+min; }
	if (month < 10) { month2 = "0"+month; } else { month2 = month; }
	var time = date_timeformat
		.replace('+h', hour)
		.replace('+m', min);
	var date = date_dateformat
		.replace('+month', montharray[month])
		.replace('+day', dayarray[weekday])
		.replace('+y', year)
		.replace('+M', month2)
		.replace('+d', day);
	document.getElementById("time").firstChild.nodeValue = time;
	document.getElementById("date").firstChild.nodeValue = date;
	timeout = window.setTimeout("time()", 5000);
}
function setDateVisible() {
	$("#date").stop(true,true).fadeIn("normal");
}
function setDateInvisible(noeffect) {
	if (noeffect != true) {
		$("#date").stop(true,true).fadeOut("normal");
	} else {
		$("#date").hide();
	}
}
