<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

if (!defined('cms-db')) {
	include('friendlyerror.firewall.inc.php');
	die();
}

function ismobilebrowser() {
	$ua = strtolower($_SERVER['HTTP_USER_AGENT']);
	if (strpos($ua, 'sony') !== false
	  || strpos($ua, 'fennec') !== false
	  || strpos($ua, 'opera mini') !== false
	  || strpos($ua, 'opera mobi') !== false
	  || strpos($ua, 'maemo') !== false
	  || strpos($ua, 'j2me') !== false
	  || strpos($ua, 'netfront') !== false
	  || strpos($ua, 'android') !== false
	  || strpos($ua, 'iphone') !== false
	  || strpos($ua, 'ipod') !== false
	  || strpos($ua, 'symbian') !== false
	  || strpos($ua, 'series60') !== false
	  || strpos($ua, 'series40') !== false
	  || strpos($ua, 'nokia') !== false
	  || strpos($ua, 'windows mobile') !== false
	  || strpos($ua, 'windows ce') !== false) {
		return true;
	} else {
		return false;
	}
}

function istabletbrowser() {
	$ua = strtolower($_SERVER['HTTP_USER_AGENT']);
	if (strpos($ua, 'ipad') !== false) {
		return true;
	} else {
		return false;
	}
}

function mobile() {
	if (!isset($_SESSION['CMS-Mode'])
	or ($_SESSION['CMS-Mode'] != 'standard'
	  && $_SESSION['CMS-Mode'] != 'mobile'
	  && $_SESSION['CMS-Mode'] != 'tablet'
	  && $_SESSION['CMS-Mode'] != 'quirks')) {
		if (ismobilebrowser()) {
			return true;
		} else {
			return false;
		}
	} else {
		if ($_SESSION['CMS-Mode'] == 'mobile') {
			return true;
		} else {
			return false;
		}
	}
}

function tablet() {
	if (!isset($_SESSION['CMS-Mode'])
	or ($_SESSION['CMS-Mode'] != 'standard'
	  && $_SESSION['CMS-Mode'] != 'mobile'
	  && $_SESSION['CMS-Mode'] != 'tablet'
	  && $_SESSION['CMS-Mode'] != 'quirks')) {
		if (istabletbrowser()) {
			return true;
		} else {
			return false;
		}
	} else {
		if ($_SESSION['CMS-Mode'] == 'tablet') {
			return true;
		} else {
			return false;
		}
	}
}

function supportscontenteditable() {
	$ua = strtolower($_SERVER['HTTP_USER_AGENT']);
	if ((!ismobilebrowser()
	  || strpos($ua, 'maemo') !== false)
	  && strpos($ua, 'ipad') === false) {
		return true;
	} else {
		return false;
	}
}

?>
