<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('');
include('locale.inc.php');
$locale = new LocalizingClass('newtab');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title><?php locale('title') ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="style.css">
		<style type="text/css">
		/*<![CDATA[*/
		body, html {
			padding: 0;
			margin: 0;
			background: #eee;
		}
		#horizon {
			position: absolute;
			top: 50%;
			height: 1px;
			overflow: visible;
			visibility: visible;
			display: block;
			width: 100%;
		}
		#box {
			position: absolute;
			background: #ddd;
			height: 64px;
			top: -32px;
			width: 100%;
			
		}
		#box a:link, #box a:visited, #box a:active, #box a:hover {
			display: block;
			float: left;
			text-indent: -1000em;
			overflow: hidden;
			width: 48px;
			height: 48px;
			background-repeat: no-repeat;
			background-position: 8px center;
			filter: alpha(opacity=50);
			opacity: .5;
			padding: 8px;
			font-size: 2em;
		}
		#box a:hover, #box a.active {
			filter: alpha(opacity=100);
			text-indent: 0em;
			padding-left: 58px;
			line-height: 48px;
			color: #000;
			text-decoration: none;
			width: 10em;
			opacity: 1;
			background-color: #fff;
		}
		/*]]>*/
		</style>
		<script type="text/javascript">
		/*<![CDATA[*/
		window.onload = function () {
			lasticon = document.links[0];
			lasticon.className = 'nonewtab active';
			for (var i = 0; i < document.links.length; ++i) {
				if (navigator.appName.indexOf("Explorer") == -1) {
					var attr = document.createAttribute("onmouseover");
					attr.nodeValue = 'lasticon.className="";this.className="active"';
					document.links[i].setAttributeNode(attr);
					var attr = document.createAttribute("onmouseout");
					attr.nodeValue = 'lasticon=this';
					document.links[i].setAttributeNode(attr);
				} else {
					document.links[i].onmouseover = 'lasticon.className="";this.className="active"';
					document.links[i].onmouseout = 'lasticon=this';
				}
			}
		};
		/*]]>*/
		</script>
	</head>
	<body>

		<div id="horizon">
			<div id="box">
				<a class="nonewtab" href="pages.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/pages.png')"><?php locale('desc_pages') ?></a>
				<a class="nonewtab" href="files.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/files.png')"><?php locale('desc_files') ?></a>
				<a class="nonewtab" href="includes.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/includes.png')"><?php locale('desc_includes') ?></a>
				<a class="nonewtab" href="settings.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/settings.png')"><?php locale('desc_settings') ?></a>
				<a class="nonewtab" href="template.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/template.png')"><?php locale('desc_template') ?></a>
				<a class="nonewtab" href="space.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/space.png')"><?php locale('desc_space') ?></a>
				<a class="nonewtab" href="fileperms.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/fileperms.png')"><?php locale('desc_fileperms') ?></a>
				<a class="nonewtab" href="backup.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/backup.png')"><?php locale('desc_backup') ?></a>
				<a class="nonewtab" href="guestbook.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/guestbook.png')"><?php locale('desc_guestbook') ?></a>
				<a class="nonewtab" href="stats.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/stats.png')"><?php locale('desc_stats') ?></a>
				<a class="nonewtab" href="recyclebin.php?<?php echo SID; csrf_protection_get_html() ?>" style="background-image: url('./big-icons/recyclebin.png')"><?php locale('desc_recyclebin') ?></a>
			</div>
		</div>

	</body>
</html>
