<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'backend');

include('checkuser.inc.php');
checkuser('root');
?>
<?php

function setperms($perms_folder, $perms_file, $dir = '../data') {
	$handle = opendir($dir);
	while (false !== ($file = readdir($handle))) {
		if ($file != '.' && $file != '..') {
			if (is_dir($dir.'/'.$file)) {
				chmod($dir.'/'.$file, $perms_folder);
				setperms($perms_folder, $perms_file, $dir.'/'.$file);
			} elseif (is_file($dir.'/'.$file)) {
				chmod($dir.'/'.$file, $perms_file);
			}
		}
	}
	closedir($handle);
}

$perms_folder = $_POST['perms_folder'];
$perms_file = $_POST['perms_file'];

if (strlen($perms_folder) == '4' && strlen($perms_file) == '4'
&& is_numeric($perms_folder) && is_numeric($perms_file)
&& substr($perms_folder, 0, 1) <= 1 && substr($perms_file, 0, 1) <= 1
&& substr($perms_folder, 1, 1) <= 7 && substr($perms_file, 1, 1) <= 7
&& substr($perms_folder, 2, 1) <= 7 && substr($perms_file, 2, 1) <= 7
&& substr($perms_folder, 3, 1) <= 7 && substr($perms_file, 3, 1) <= 7) {
	$perms_folder = octdec($perms_folder);
	$perms_file = octdec($perms_file);
	setperms($perms_folder, $perms_file);
	header('Location: fileperms.php?set=ok&'.SID.csrf_protection_get());
} else {
	header('Location: fileperms.php?set=error&'.SID.csrf_protection_get());
}
?>
