// Open links with rel="external" in a new window
function openlinkswithrelisexternalinanewwindow() {
	if (!document.getElementsByTagName) return false;
	var links = document.getElementsByTagName("a");
	for (var i = 0; i < links.length; i++) {
		if (links[i].getAttribute("rel") == "external") {
			links[i].onclick = function() {
				return !window.open(this.href);
			}
		}
	}
}

// Check if there was an onload function before and run it if needed
if (window.onload != null) {
	var oldonload = window.onload;
	window.onload = function (e) {
		oldonload(e);
		openlinkswithrelisexternalinanewwindow();
	};
} else {
	window.onload = openlinkswithrelisexternalinanewwindow;
}
