<?php
/*  cms-db  Copyright (C) 2007-2010 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

define('cms-db', 'frontend');

$t = "\t";
$n = "\n";

$language = $_GET['l'];
$blogurl = $_GET['p'];
$tag = $_GET['t'];

include('./admin/locale.inc.php');
include('./data/settings/locale.inc.php');
chdir('./admin');
$locale = new LocalizingClass('blog', $language);
chdir('../');

if ($tag == '') {
	$feedtitle = locale('desc_feed-common',true);
	$articles = array();
	if ($handle = opendir('./data/blog/articles')) {
		while (false !== ($file = readdir($handle))) {
			if ($file != '.' && $file != '..') {
				$articles[] = $file;
			}
		}
		closedir($handle);
	}
	natsort($articles);
} else {
	$feedtitle = sprintf(locale('desc_feed-tag', true), $tag);
	if (is_file('./data/blog/tags/'.$tag)) {
		$articles = file_get_contents('./data/blog/tags/'.$tag);
		$articles = explode($n, $articles);
	} else {
		die('ERROR: Tag doesn\'t exist.');
	}
}

include('./admin/xmlurls.inc.php');

echo '<?xml version="1.0" encoding="utf-8"?>'.$n;
echo '<rss version="2.0" xmlns:content="http://purl.org/rss/1.0/modules/content/">'.$n;

echo $t.'<channel>'.$n;

echo $t.$t.'<title>'.$feedtitle.'</title>'.$n;
echo $t.$t.'<link>'.$urlbefore.$blogurl.$urlafter.'</link>'.$n;
echo $t.$t.'<description></description>'.$n;
echo $t.$t.'<generator>cms -db - http://cms-db.de/</generator>'.$n;

if (count($articles) != 0) {
	$end = (count($articles) < 10) ? count($articles) : 10;
	$articles = array_reverse($articles);
	for($i = 0; $i < $end; $i++) {
		$article = $articles[$i];
		
		$data = file_get_contents('./data/blog/articles/'.$article.'/content');
		$data = explode($n, $data, 5);
		$title = $data[0];
		$time = $data[2];
		$date = date('r', $time);
		$blogtags = $data[3];
		$blogtags = explode(' ', $blogtags);
		$text = $data[4];
		
		$url = $urlbefore.$blogurl.'/articles/'.$article.$urlafter;
		
		echo $t.$t.'<item>'.$n;
		echo $t.$t.$t.'<title>'.$title.'</title>'.$n;
		echo $t.$t.$t.'<link>'.$url.'</link>'.$n;
		echo $t.$t.$t.'<comments>'.$url.'#comments</comments>'.$n;
		foreach ($blogtags as $blogtag) {
			echo $t.$t.$t.'<category>'.$blogtag.'</category>'.$n;
		}
		echo $t.$t.$t.'<content:encoded><![CDATA['.$text.']]></content:encoded>'.$n;
		echo $t.$t.$t.'<pubDate>'.$date.'</pubDate>'.$n;
		echo $t.$t.$t.'<guid isPermaLink="false">'.$article.'</guid>'.$n;
		echo $t.$t.'</item>'.$n;		
	}
}

echo $t.'</channel>'.$n;

echo '</rss>';
?>
